@import "../variables.color/variables.color.scss";
@import "../variables.color/variables.fonts.scss";
@import "../variables.color/variables.mixins.scss";
@import "../button.styles.scss/Button.styles.scss";

.main-equipe {
  min-height: 100vh;
  background: url("../../assets/images/bg-Teams.jpg");
  background-size: cover;

  background-image {
    opacity: 0.5;
  }

  font-family: $users-main;
  box-sizing: border-box;
  &-container {
    @include max-width;
    padding-top: 7em;
    height: calc(100vh - 7em);
    @include respondTo(wide-phones) {
      padding: 0;
    }
    @include respondTo(phones) {
      padding: 0;
      margin: 0;
    }
    &-header {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      h2 {
        @include section-title;
        color: $users-main;
        display: block;
        @include respondTo(phones) {
          padding: 1em 0 0;
          margin: 0;
          text-align: center;
        }
        @include respondTo(wide-phones) {
          padding: 1em 0 0;
          margin: 0;
          text-align: center;
        }
      }
      &-nav {
        display: flex;
        justify-content: space-between;
        @include respondTo(phones) {
          display: none;
        }
        li {
          button {
            background: none !important;
            color: $dark-grey;
            border: none;
            font-size: $h4-size;
            font-weight: 500;
            opacity: 0.7;
            text-transform: uppercase;
            &:hover {
              box-shadow: none;
              color: inherit;
            }
            &:focus {
              outline: 0;
              opacity: 1;
              border-bottom: 3px solid $dark-grey;
            }
            &:active {
              border: none;
            }
          }
        }
      }
    }

    &-content {
      display: grid;
      grid-template-columns: repeat(4, 1fr);
      grid-template-rows: repeat(2, 1fr);
      grid-gap: 1.2em;
      height: 100%;

      .equipe-content-item {
        border: 2px solid $light-grey;
        padding: 24px;
        background: white;
        border-radius: 3px;

        h3 {
          color: $blue;
          margin-bottom: 16px;
        }
      }
      .teamInfo {
        grid-column: 1/3;
        grid-row: 1/3;
      }
      .nextGames {
        grid-column: 3/5;
        grid-row: 1/2;
      }
      .teamNews {
        grid-column: 3/5;
        grid-row: 2/3;
      }

      @include respondTo(phones) {
        display: block;
      }
    }
  }
}

.match-list {
  display: flex;
  flex-wrap: wrap;
}

.match {
  flex-shrink: 0;
  flex-grow: 0;
  flex-basis: 50%;
  padding: 8px;

  .content {
    display: flex;
    background: #f0f0f0;
    align-items: center;

    .left {
      flex-grow: 0;
      flex-shrink: 0;
      text-align: center;

      .date-box {
        background: $dark-blue-alt;
        margin: 16px;
        width: 48px;
        height: 48px;
        color: white;
        display: flex;
        flex-direction: column;
        justify-content: center;
        border-radius: 3px;

        .day,
        .month {
          width: 100%;
        }

        .day {
          font-weight: bold;
          font-size: 16px;
          line-height: 19px;
        }

        .month {
          font-size: 10px;
          line-height: 12px;
          text-transform: capitalize;
        }
      }
    }

    .right {
      flex-grow: 1;
      margin: 16px 0;

      .title {
        display: block;
        font-size: 20px;
        font-weight: bold;
        color: $dark-blue-alt;
      }

      .subtitle {
        display: block;
        margin-top: 2px;
        font-size: 12px;
      }
    }
  }
}
